/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSMSAttributesInput } from "../types/GetSMSAttributesInput";
import { GetSMSAttributesOutput } from "../types/GetSMSAttributesOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/GetSMSAttributesInput";
export * from "../types/GetSMSAttributesOutput";
export * from "../types/GetSMSAttributesExceptionsUnion";
export declare class GetSMSAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSMSAttributesInput, OutputTypesUnion, GetSMSAttributesOutput, SNSResolvedConfiguration, _stream.Readable> {
    readonly input: GetSMSAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSMSAttributesInput, GetSMSAttributesOutput, _stream.Readable>;
    constructor(input: GetSMSAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<GetSMSAttributesInput, GetSMSAttributesOutput>;
}
