/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListSubscriptionsInput } from "../types/ListSubscriptionsInput";
import { ListSubscriptionsOutput } from "../types/ListSubscriptionsOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/ListSubscriptionsInput";
export * from "../types/ListSubscriptionsOutput";
export * from "../types/ListSubscriptionsExceptionsUnion";
export declare class ListSubscriptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListSubscriptionsInput, OutputTypesUnion, ListSubscriptionsOutput, SNSResolvedConfiguration, _stream.Readable> {
    readonly input: ListSubscriptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListSubscriptionsInput, ListSubscriptionsOutput, _stream.Readable>;
    constructor(input: ListSubscriptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<ListSubscriptionsInput, ListSubscriptionsOutput>;
}
