/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { OptInPhoneNumberInput } from "../types/OptInPhoneNumberInput";
import { OptInPhoneNumberOutput } from "../types/OptInPhoneNumberOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/OptInPhoneNumberInput";
export * from "../types/OptInPhoneNumberOutput";
export * from "../types/OptInPhoneNumberExceptionsUnion";
export declare class OptInPhoneNumberCommand implements __aws_sdk_types.Command<InputTypesUnion, OptInPhoneNumberInput, OutputTypesUnion, OptInPhoneNumberOutput, SNSResolvedConfiguration, _stream.Readable> {
    readonly input: OptInPhoneNumberInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<OptInPhoneNumberInput, OptInPhoneNumberOutput, _stream.Readable>;
    constructor(input: OptInPhoneNumberInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<OptInPhoneNumberInput, OptInPhoneNumberOutput>;
}
