/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetSubscriptionAttributesInput } from "../types/SetSubscriptionAttributesInput";
import { SetSubscriptionAttributesOutput } from "../types/SetSubscriptionAttributesOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/SetSubscriptionAttributesInput";
export * from "../types/SetSubscriptionAttributesOutput";
export * from "../types/SetSubscriptionAttributesExceptionsUnion";
export declare class SetSubscriptionAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, SetSubscriptionAttributesInput, OutputTypesUnion, SetSubscriptionAttributesOutput, SNSResolvedConfiguration, _stream.Readable> {
    readonly input: SetSubscriptionAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetSubscriptionAttributesInput, SetSubscriptionAttributesOutput, _stream.Readable>;
    constructor(input: SetSubscriptionAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<SetSubscriptionAttributesInput, SetSubscriptionAttributesOutput>;
}
